#!/bin/bash
configDir="/etc/sddm.conf.d";
sudo systemctl enable sddm;

sudo mkdir -p "$configDir";

{
    echo "[General]";
    echo "DisplayServer=wayland";
    echo "GreeterEnvironment=QT_WAYLAND_SHELL_INTEGRATION=layer-shell";
    echo "";
    echo "[Wayland]";
    echo "CompositorCommand=kwin_wayland --drm --no-lockscreen --no-global-shortcuts --locale1 --inputmethod maliit-keyboard";
} | sudo tee "$configDir/10-wayland.conf";
