#!/bin/pwsh
$null = New-Module {
    . "$PSScriptRoot/../../../scripts/Windows/Scripts/Prerequisites.ps1";
    . "$PSScriptRoot/../../../scripts/Windows/Scripts/Context.ps1";
    . "$PSScriptRoot/../../../scripts/Windows/OS/Manage.ps1";

    Write-Host "Starting Backup of Windows";
    $context = [Context]::new();
    $context.BackupName = $env:BACKUP_NAME ?? $(Read-Host -Prompt "Please enter a backup name");
    Backup-WindowsInstallation $context;
    Write-Host "Never forget to store the backup somewhere safe!";
    Write-Host "I mean... what kind of a dumbass would ever forget to do so, right?";
}
